/**
 * The RxJS Ninja Array module contains operators for working with, and returning Array values. There are also methods
 * for working with Set, Map and Object converting to and from Array types.
 *
 * @packageDocumentation
 * @module Array
 *
 */
export { binarySearch } from './lib/binary-search';
export { difference } from './lib/difference';
export { differenceAll } from './lib/difference-all';
export { every } from './lib/every';
export { fill } from './lib/fill';
export { filterDifference } from './lib/filter-difference';
export { filterEvery } from './lib/filter-every';
export { filterIntersects } from './lib/filter-intersects';
export { filterSome } from './lib/filter-some';
export { find } from './lib/find';
export { findAll } from './lib/find-all';
export { findLast } from './lib/find-last';
export { findIndex } from './lib/find-index';
export { flipArray } from './lib/flip-array';
export { fromMap } from './lib/from-map';
export { fromSet } from './lib/from-set';
export { indexOf } from './lib/index-of';
export { intersects } from './lib/intersects';
export { isEqualSet } from './lib/is-equal-set';
export { isSubsetOf } from './lib/is-subset-of';
export { isSupersetOf } from './lib/is-superset-of';
export { join } from './lib/join';
export { lastIndexOf } from './lib/last-index-of';
export { mapToArray } from 'libs/rxjs/array/src/lib/map-to-array';
export { objectEntriesToArray } from 'libs/rxjs/array/src/lib/object-entries-to-array';
export { objectKeysToArray } from 'libs/rxjs/array/src/lib/object-keys-to-array';
export { reverse } from './lib/reverse';
export { setToArray } from 'libs/rxjs/array/src/lib/set-to-array';
export { shuffle } from './lib/shuffle';
export { some } from './lib/some';
export { sort } from './lib/sort';
export { sortMap } from './lib/sort-map';
export { toMap } from './lib/to-map';
export { toSet } from './lib/to-set';
export { BinarySearchResult } from './types/binary-search';
export { PredicateFn, MapFn, SortFn } from './types/generic-methods';
